Bug 443290 - Text in gnome-system-log window jitters when scrolling fast with mouse wheel
Text in gnome-system-log window jitters when scrolling fast with mouse wheel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 05:18 EDT by Mauri Korkeala
Modified: 2009-10-22 08:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log file (485.53 KB, text/plain)
2008-04-20 05:19 EDT, Mauri Korkeala
no flags Details

  None (edit)
Description Mauri Korkeala 2008-04-20 05:18:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008041301 Fedora/3.0-0.54.beta5.fc9 Firefox/3.0b5

Description of problem:
(Using F9-preview-release live CD)
Scrolling down text in gnome-system-log fast with mouse wheel causes the text to jitter and following error is displayed several times to xorg log:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

The Logitech MX Revolution mouse wheel allows very fast scrolling as the mouse wheel can spin freely. 

This problem doesn't seem to occur with Firefox or gEdit. 

Anyway, minor issue. I reported it to make sure it doesn't reveal some bigger issue, as words "stuck, infinite and loop" sound usually pretty bad.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-21.20080407.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. Boot preview CD
2. Press Logitech MX mouse wheel so it spins freely
3. Open System-Log-Viever
4. Scroll down fast any bigger log file

Actual Results:
-Text jitters and is scrambled
-Following message is printed to Xorg.0.log several times:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Expected Results:
-No errors printed
-Text scrolls smoothly.

Additional info:
Comment 1 Mauri Korkeala 2008-04-20 05:19:35 EDT
Created attachment 303046 [details]
Xorg log file
Comment 2 Bug Zapper 2008-05-14 05:46:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:18:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 14:26:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.